/*****************************************************************************
 *                                                                           *
 *   mail2html.h   - header file for mail2html.c                             *
 *                                                                           *
 *                   written by Tom Georges 8/12/1993                        *
 *                                                                           *
 *   Copyright 1993  Harris Corporation.  ALL RIGHTS RESERVED                *
 *                                                                           *
 *                                                                           *
 *   Change history -                                                        *
 *                            8/18/93 - Added heading structure and msg_id   *
 *                                      structure to accomodate reply hot-   *
 *                                      links.                               *
 *                                                                           *
 *****************************************************************************/

/* mail2html.h */

/* edit this line to be the directory where the mail "top" page will be */
#define BASE_NAME "/usr2/tlg/html"

/* edit this line to point to the bitmap at the top of the page */
#define MAIL_IMAGE "http://neptune.corp.harris.com/pics/mailbox.xbm"

/* edit this line for a cutomized footer (KEEP THE </UL> !!!) */
#define FOOTER "</UL><img src=\"http://web.nexor.co.uk/general/groove.gif\"><p>\n<a href=\"http://neptune.corp.harris.com/bio.html\">Tom Georges</a><p>\n"

#define USAGE_STRING "usage: mail2html <input_mail_file> <output filename> <mail_subdirectory>"

/* some "reasonable" assumptions */

#define MAX_SUBJECT 256
#define MAX_AUTHOR 128
#define MAX_DATE 80
#define MAX_REPLY 256
#define MAX_HTML_REPLY 512
#define MAX_MSG_ID 80
#define MAX_HTML_MSG_ID 96
#define MAX_HTML_SUBJECT 512
#define MAX_HEADER 512 
#define MAX_FOOTER 256 
#define MAX_IMAGE 128
#define MAX_FILENAME 128

/* just in case */
#define LINE_FEED    10

/* Message Headers structure */

typedef struct _Mail_header
  {
  char subject[MAX_SUBJECT];           /* subject field */
  char html_subject[MAX_HTML_SUBJECT]; /* HTML version of subject field */
  char author[MAX_AUTHOR];             /* who wrote this missive */
  char date[MAX_DATE];                 /* message date/time */
  char msg_id[MAX_MSG_ID];             /* Message-ID field */
  char html_msg_id[MAX_HTML_MSG_ID];   /* formatted Message-ID field */
  char reply[MAX_REPLY];               /* In-Reply-To field */
  char html_reply[MAX_HTML_REPLY];     /* anchored In-Reply-To field */
  char *text;                          /* actual message */
  struct _Mail_header *next_message;   /* pointer to next message */
  } Mail_header;

/* message id list */

typedef struct _Message_ids
  {
  char message_id[MAX_MSG_ID];
  struct _Message_ids *next_id;
  } Message_ids;
