.TH mail2html
.SH Name
The mail2html translator converts a sendmail type mailbox into HTML format
.SH Syntax
mail2html <input_filename> <output_filename> <subdirectory>
.SH Description
The mail2html program accepts a mailbox containing mail messages as its <input_filename>.  This file is assumed to be in a standard format.  The program extracts each message in the <input_filename> and creates:
.PP

.br
1. An HTML "top" page that contains an unordered list of hyperlinks to each individual message.  The <output_filename> specifies the name of this page.
.PP

.br
2. Individual files under the <subdirectory> tree for each mail message corresponding to those hyperlinks.
.PP

.br
The <subdirectory> must exist.
.SH Return Value
None
.SH Example
Assumptions:
.PP

.br
1. top page to be placed in /home/foobar/html
.br
2. mailbox mbox exits in /home/foobar
.br
3. name of top page is mbox.html
.br
4. /home/foobar/html/mbox exists
.PP

.br
mail2html /home/foobar/mbox /home/foobar/html/mbox.html mbox
.PP

.br
This creates the mbox.html top page and individual files (mail_1, mail_2, etc) in the /home/foobar/html/mbox subdirectory.
.br

.SH Author
Thomas L. Georges
